C_FILES=infinite_while.c print.c
H_FILES=print.h

CC=gcc

infinite_while: $(C_FILES) $(H_FILES)
	$(CC) $(C_FILES) -o $@

debug-infinite_while: $(C_FILES)
	$(CC) -DENABLE_DEBUG $(C_FILES) -o $@

clean:
	-rm -f *.o debug-infinite_while infinite_while *~

pedantic-infinite_while: $(C_FILES)
	gcc -pedantic -Wall -Werror $(C_FILES) -o $@